<?php

/**
 * @file
 */

/**
 * Implements hook_rules_action_info().
 */
function ofd_ferma_uc_rules_action_info() {
  $actions = array();
  $actions['ofd_ferma_uc_create_receipt'] = array(
    'label' => t('Create OFD.Ferma receipt from Ubercart order'),
    'parameter' => array(
      'type' => array(
        'label' => t('Receipt type'),
        'type' => 'text',
        'restriction' => 'input',
        'options list' => '_ofd_ferma_type_list',
      ),
      'mail' => array(
        'label' => t('Customer e-mail'),
        'type' => 'text',
        'optional' => TRUE,
        'allow null' => TRUE,
      ),
      'phone' => array(
        'label' => t('Customer phone'),
        'type' => 'text',
        'optional' => TRUE,
        'allow null' => TRUE,
      ),
      'uc_order' => array(
        'label' => t('Ubercart order'),
        'type' => 'uc_order',
      ),
      'items_vat' => array(
        'label' => t('Receipt items default tax rate'),
        'type' => 'text',
        'options list' => '_ofd_ferma_def_tax_list',
        'restriction' => 'input',
      ),
    ),
    'group' => 'OFD.Ferma',
    'provides' => array(
      'receipt' => array(
        'type' => 'ofd_ferma_receipt',
        'label' => t('OFD.Ferma receipt')
      ),
    ),
    'callbacks' => array(
      'execute' => 'ofd_ferma_uc_create_receipt',
    ),
  );
  return $actions;
}

function ofd_ferma_uc_create_receipt($type, $mail, $phone, $order, $items_vat) {
  $items = ofd_ferma_uc_get_items($order, $items_vat);
  $receipt = ofd_ferma_create_receipt($type, $order->order_id, $mail, $phone, $items);
  if ($receipt) {
    ofd_ferma_uc_receipt_set_order($receipt, $order->order_id);
  }
  else {
    _ofd_ferma_log('dc_create_receipt', t('Fail to create receipt for order !order', array('!order' => $order->order_id)));
  }
}

