<?php

/**
 * @file
 * Default views.
 */

/**
 * Implements hook_views_default_views().
 */
function ofd_ferma_uc_views_default_views() {
  $view = new view();
  $view->name = 'ofd_ferma_receipts_uc';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'ofd_ferma_receipt';
  $view->human_name = 'OFD.Ferma Ubercart receipts';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'OFD.Ferma receipts';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'view register of cash receipts';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['reset_button'] = TRUE;
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '25';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'rid' => 'rid',
    'fid' => 'fid',
    'type' => 'type',
    'status' => 'status',
    'ofd_ferma_uc_order' => 'ofd_ferma_uc_order',
    'created' => 'created',
    'changed' => 'changed',
    'device' => 'device',
    'links' => 'links',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'rid' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'fid' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'type' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'status' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'ofd_ferma_uc_order' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'created' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'changed' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'device' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'links' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* Field: OFD.Ferma receipt: ID */
  $handler->display->display_options['fields']['rid']['id'] = 'rid';
  $handler->display->display_options['fields']['rid']['table'] = 'ofd_ferma_receipt';
  $handler->display->display_options['fields']['rid']['field'] = 'rid';
  $handler->display->display_options['fields']['rid']['label'] = 'rid';
  /* Field: OFD.Ferma receipt: OFD.Ferma receipt ID */
  $handler->display->display_options['fields']['fid']['id'] = 'fid';
  $handler->display->display_options['fields']['fid']['table'] = 'ofd_ferma_receipt';
  $handler->display->display_options['fields']['fid']['field'] = 'fid';
  $handler->display->display_options['fields']['fid']['label'] = 'ReceiptId';
  /* Field: OFD.Ferma receipt: Type */
  $handler->display->display_options['fields']['type']['id'] = 'type';
  $handler->display->display_options['fields']['type']['table'] = 'ofd_ferma_receipt';
  $handler->display->display_options['fields']['type']['field'] = 'type';
  /* Field: OFD.Ferma receipt: Status */
  $handler->display->display_options['fields']['status']['id'] = 'status';
  $handler->display->display_options['fields']['status']['table'] = 'ofd_ferma_receipt';
  $handler->display->display_options['fields']['status']['field'] = 'status';
  /* Field: OFD.Ferma receipt: Ubercart order */
  $handler->display->display_options['fields']['ofd_ferma_uc_order']['id'] = 'ofd_ferma_uc_order';
  $handler->display->display_options['fields']['ofd_ferma_uc_order']['table'] = 'field_data_ofd_ferma_uc_order';
  $handler->display->display_options['fields']['ofd_ferma_uc_order']['field'] = 'ofd_ferma_uc_order';
  $handler->display->display_options['fields']['ofd_ferma_uc_order']['label'] = 'Order';
  $handler->display->display_options['fields']['ofd_ferma_uc_order']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['ofd_ferma_uc_order']['alter']['path'] = 'admin/store/orders/[ofd_ferma_uc_order-target_id]';
  $handler->display->display_options['fields']['ofd_ferma_uc_order']['type'] = 'entityreference_entity_id';
  $handler->display->display_options['fields']['ofd_ferma_uc_order']['settings'] = array(
    'bypass_access' => 0,
    'link' => 1,
  );
  /* Field: OFD.Ferma receipt: Date created */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'ofd_ferma_receipt';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['label'] = 'Created';
  $handler->display->display_options['fields']['created']['date_format'] = 'medium';
  $handler->display->display_options['fields']['created']['second_date_format'] = 'search_api_facetapi_YEAR';
  $handler->display->display_options['fields']['created']['format_date_sql'] = 0;
  /* Field: OFD.Ferma receipt: Date changed */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'ofd_ferma_receipt';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['label'] = 'Changed';
  $handler->display->display_options['fields']['changed']['date_format'] = 'medium';
  $handler->display->display_options['fields']['changed']['second_date_format'] = 'search_api_facetapi_YEAR';
  $handler->display->display_options['fields']['changed']['format_date_sql'] = 0;
  /* Field: OFD.Ferma receipt: Device info */
  $handler->display->display_options['fields']['device']['id'] = 'device';
  $handler->display->display_options['fields']['device']['table'] = 'ofd_ferma';
  $handler->display->display_options['fields']['device']['field'] = 'device';
  /* Field: OFD.Ferma receipt: View receipt */
  $handler->display->display_options['fields']['links']['id'] = 'links';
  $handler->display->display_options['fields']['links']['table'] = 'ofd_ferma';
  $handler->display->display_options['fields']['links']['field'] = 'links';
  /* Filter criterion: OFD.Ferma receipt: Status */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'ofd_ferma_receipt';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['exposed'] = TRUE;
  $handler->display->display_options['filters']['status']['expose']['operator_id'] = 'status_op';
  $handler->display->display_options['filters']['status']['expose']['label'] = 'Status';
  $handler->display->display_options['filters']['status']['expose']['operator'] = 'status_op';
  $handler->display->display_options['filters']['status']['expose']['identifier'] = 'status';
  /* Filter criterion: OFD.Ferma receipt: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'ofd_ferma_receipt';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['exposed'] = TRUE;
  $handler->display->display_options['filters']['type']['expose']['operator_id'] = 'type_op';
  $handler->display->display_options['filters']['type']['expose']['label'] = 'Type';
  $handler->display->display_options['filters']['type']['expose']['operator'] = 'type_op';
  $handler->display->display_options['filters']['type']['expose']['identifier'] = 'type';
  /* Filter criterion: OFD.Ferma receipt: OFD.Ferma receipt ID */
  $handler->display->display_options['filters']['fid']['id'] = 'fid';
  $handler->display->display_options['filters']['fid']['table'] = 'ofd_ferma_receipt';
  $handler->display->display_options['filters']['fid']['field'] = 'fid';
  $handler->display->display_options['filters']['fid']['operator'] = 'contains';
  $handler->display->display_options['filters']['fid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['fid']['expose']['operator_id'] = 'fid_op';
  $handler->display->display_options['filters']['fid']['expose']['label'] = 'OFD.Ferma receipt ID';
  $handler->display->display_options['filters']['fid']['expose']['operator'] = 'fid_op';
  $handler->display->display_options['filters']['fid']['expose']['identifier'] = 'fid';
  /* Filter criterion: OFD.Ferma receipt: Ubercart order (ofd_ferma_uc_order) */
  $handler->display->display_options['filters']['ofd_ferma_uc_order_target_id']['id'] = 'ofd_ferma_uc_order_target_id';
  $handler->display->display_options['filters']['ofd_ferma_uc_order_target_id']['table'] = 'field_data_ofd_ferma_uc_order';
  $handler->display->display_options['filters']['ofd_ferma_uc_order_target_id']['field'] = 'ofd_ferma_uc_order_target_id';
  $handler->display->display_options['filters']['ofd_ferma_uc_order_target_id']['exposed'] = TRUE;
  $handler->display->display_options['filters']['ofd_ferma_uc_order_target_id']['expose']['operator_id'] = 'ofd_ferma_uc_order_target_id_op';
  $handler->display->display_options['filters']['ofd_ferma_uc_order_target_id']['expose']['label'] = 'Order ID';
  $handler->display->display_options['filters']['ofd_ferma_uc_order_target_id']['expose']['operator'] = 'ofd_ferma_uc_order_target_id_op';
  $handler->display->display_options['filters']['ofd_ferma_uc_order_target_id']['expose']['identifier'] = 'order';

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'admin_page');
  $handler->display->display_options['path'] = 'admin/store/ofd_ferma_receipts';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'OFD.Ferma receipts';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'management';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;

  /* Display: Block */
  $handler = $view->new_display('block', 'Block', 'block_order_receipts');
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'rid' => 'rid',
    'fid' => 'fid',
    'type' => 'type',
    'status' => 'status',
    'created' => 'created',
    'changed' => 'changed',
    'device' => 'device',
    'links' => 'links',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'rid' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'fid' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'type' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'status' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'created' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'changed' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'device' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'links' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: OFD.Ferma receipt: ID */
  $handler->display->display_options['fields']['rid']['id'] = 'rid';
  $handler->display->display_options['fields']['rid']['table'] = 'ofd_ferma_receipt';
  $handler->display->display_options['fields']['rid']['field'] = 'rid';
  $handler->display->display_options['fields']['rid']['label'] = 'rid';
  /* Field: OFD.Ferma receipt: OFD.Ferma receipt ID */
  $handler->display->display_options['fields']['fid']['id'] = 'fid';
  $handler->display->display_options['fields']['fid']['table'] = 'ofd_ferma_receipt';
  $handler->display->display_options['fields']['fid']['field'] = 'fid';
  $handler->display->display_options['fields']['fid']['label'] = 'ReceiptId';
  /* Field: OFD.Ferma receipt: Type */
  $handler->display->display_options['fields']['type']['id'] = 'type';
  $handler->display->display_options['fields']['type']['table'] = 'ofd_ferma_receipt';
  $handler->display->display_options['fields']['type']['field'] = 'type';
  /* Field: OFD.Ferma receipt: Status */
  $handler->display->display_options['fields']['status']['id'] = 'status';
  $handler->display->display_options['fields']['status']['table'] = 'ofd_ferma_receipt';
  $handler->display->display_options['fields']['status']['field'] = 'status';
  /* Field: OFD.Ferma receipt: Date created */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'ofd_ferma_receipt';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['label'] = 'Created';
  $handler->display->display_options['fields']['created']['date_format'] = 'medium';
  $handler->display->display_options['fields']['created']['second_date_format'] = 'search_api_facetapi_YEAR';
  $handler->display->display_options['fields']['created']['format_date_sql'] = 0;
  /* Field: OFD.Ferma receipt: Date changed */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'ofd_ferma_receipt';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['label'] = 'Changed';
  $handler->display->display_options['fields']['changed']['date_format'] = 'medium';
  $handler->display->display_options['fields']['changed']['second_date_format'] = 'search_api_facetapi_YEAR';
  $handler->display->display_options['fields']['changed']['format_date_sql'] = 0;
  /* Field: OFD.Ferma receipt: Device info */
  $handler->display->display_options['fields']['device']['id'] = 'device';
  $handler->display->display_options['fields']['device']['table'] = 'ofd_ferma';
  $handler->display->display_options['fields']['device']['field'] = 'device';
  /* Field: OFD.Ferma receipt: View receipt */
  $handler->display->display_options['fields']['links']['id'] = 'links';
  $handler->display->display_options['fields']['links']['table'] = 'ofd_ferma';
  $handler->display->display_options['fields']['links']['field'] = 'links';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: OFD.Ferma receipt: Ubercart order (ofd_ferma_uc_order) */
  $handler->display->display_options['arguments']['ofd_ferma_uc_order_target_id']['id'] = 'ofd_ferma_uc_order_target_id';
  $handler->display->display_options['arguments']['ofd_ferma_uc_order_target_id']['table'] = 'field_data_ofd_ferma_uc_order';
  $handler->display->display_options['arguments']['ofd_ferma_uc_order_target_id']['field'] = 'ofd_ferma_uc_order_target_id';
  $handler->display->display_options['arguments']['ofd_ferma_uc_order_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['ofd_ferma_uc_order_target_id']['default_argument_type'] = 'raw';
  $handler->display->display_options['arguments']['ofd_ferma_uc_order_target_id']['default_argument_options']['index'] = '3';
  $handler->display->display_options['arguments']['ofd_ferma_uc_order_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['ofd_ferma_uc_order_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['ofd_ferma_uc_order_target_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  $translatables['ofd_ferma_receipts_uc'] = array(
    t('Master'),
    t('OFD.Ferma receipts'),
    t('more'),
    t('Apply'),
    t('Reset'),
    t('Sort by'),
    t('Asc'),
    t('Desc'),
    t('Items per page'),
    t('- All -'),
    t('Offset'),
    t('« first'),
    t('‹ previous'),
    t('next ›'),
    t('last »'),
    t('rid'),
    t('.'),
    t(','),
    t('ReceiptId'),
    t('Type'),
    t('Status'),
    t('Order'),
    t('Created'),
    t('Changed'),
    t('Device info'),
    t('View receipt'),
    t('OFD.Ferma receipt ID'),
    t('Order ID'),
    t('Page'),
    t('Block'),
    t('All'),
  );

  $views[$view->name] = $view;

  return $views;
}
