<?php

/**
 * @file
 */

function ofd_ferma_settings_form($form, $form_state) {
	$form['ofd_ferma_login'] = array(
		'#type' => 'textfield',
		'#title' => 'Login',
    '#description' => t('OFD.Ferma API login'),
		'#default_value' => variable_get('ofd_ferma_login', ''),
	);
	$form['ofd_ferma_password'] = array(
		'#type' => 'textfield',
		'#title' => 'Password',
    '#description' => t('OFD.Ferma API password'),
		'#default_value' => variable_get('ofd_ferma_password', ''),
	);
	$form['ofd_ferma_tin'] = array(
		'#type' => 'textfield',
		'#title' => t('TIN'),
    '#description' => t('Taxpayer ID number'),
		'#default_value' => variable_get('ofd_ferma_tin', ''),
	);
	$form['ofd_ferma_tax_system'] = array(
		'#type' => 'select',
		'#title' => t('Taxation system'),
		'#default_value' => variable_get('ofd_ferma_tax_system', 0),
		'#options' => _ofd_ferma_tax_system_list(),
	);
  $form['ofd_ferma_tax_default'] = array(
		'#type' => 'select',
		'#title' => t('Default tax rate'),
		'#default_value' => variable_get('ofd_ferma_tax_default', ''),
		'#options' => _ofd_ferma_tax_list(),
  );
	$form['ofd_ferma_final_status'] = array(
		'#type' => 'select',
		'#title' => t('Final status'),
		'#default_value' => variable_get('ofd_ferma_final_status', OFD_FERMA_FINAL_STATUS_DEFAULT),
		'#options' => _ofd_ferma_status_list(),
	);
  $form['ofd_ferma_cron_length'] = array(
		'#type' => 'select',
		'#title' => t('Cron batch size'),
    '#description' => t('Set how many items will be updated at once when receipts status update during a cron run.'),
    '#options' => array(10 => '10', 25 => '25', 50 => '50'),
		'#default_value' => variable_get('ofd_ferma_cron_length', 10),
  );
  $form['ofd_ferma_mail'] = array(
		'#type' => 'textfield',
		'#title' => t('E-mail for error messages'),
    '#description' => t('Leave empty for disabling'),
		'#default_value' => variable_get('ofd_ferma_mail', ''),
  );
  $warning = t('INSECURITY! The "SSL certificate problem" is often caused by an outdated or missing bundle of CA root certificates, in your PHP configuration. ' .
               'Please fix your php.ini configuration instead ignoring ssl certificate checking. ' .
               'Remember that your private data may hijacked by a MITM attack.');
  $form['warning'] = array(
    '#type' => 'item',
    '#title' => t('Skip SSL certificate check'),
    '#markup' => '<div class="messages warning">' . $warning . '</div>',
  );
  $form['ofd_ferma_skip_ssl'] = array(
    '#type' => 'checkbox',
    '#title' => t('I understand what I\'m doing and I take responsibility for the possible consequences'),
		'#default_value' => variable_get('ofd_ferma_skip_ssl', FALSE),
  );
	return system_settings_form($form);
}
