<?php

/**
 * @file
 */

/**
 * Implements hook_rules_action_info().
 */
function ofd_ferma_rules_action_info() {
  $actions = array();
  $actions['ofd_ferma_create_receipt_unmanaged'] = array(
    'label' => t('Create OFD.Ferma unmanaged receipt'),
    'parameter' => array(
      'type' => array(
        'label' => t('Receipt type'),
        'type' => 'text',
        'restriction' => 'input',
        'options list' => '_ofd_ferma_type_list',
      ),
      'invoice_id' => array(
        'label' => t('Invoice ID'),
        'type' => 'text',
        'description' => t('Must be unique per receipt type'),
      ),
      'mail' => array(
        'label' => t('Customer e-mail'),
        'type' => 'text',
        'optional' => TRUE,
        'allow null' => TRUE,
      ),
      'phone' => array(
        'label' => t('Customer phone'),
        'type' => 'text',
        'optional' => TRUE,
        'allow null' => TRUE,
      ),
      'item_label' => array(
        'label' => t('Receipt item label'),
        'type' => 'text',
      ),
      'item_price' => array(
        'label' => t('Receipt item price'),
        'type' => 'decimal',
      ),
      'item_qty' => array(
        'label' => t('Receipt item quantity'),
        'type' => 'decimal',
      ),
      'item_vat' => array(
        'label' => t('Receipt item tax rate'),
        'type' => 'text',
        'options list' => '_ofd_ferma_def_tax_list',
        'restriction' => 'input',
      ),
    ),
    'group' => 'OFD.Ferma',
    'provides' => array(
      'receipt' => array(
        'type' => 'ofd_ferma_receipt',
        'label' => t('OFD.Ferma receipt')
      ),
    ),
    'callbacks' => array(
      'execute' => 'ofd_ferma_create_receipt_unmanaged',
    ),
  );
  return $actions;
}

function ofd_ferma_create_receipt_unmanaged($type, $invoice_id, $mail, $phone, $label, $price, $qty, $vat) {
  $item = array(
    'Label' => $label,
    'Price' => $price,
    'Quantity' => $qty,
    'Amount' => $price * $qty,
    'Vat' => $vat == '0' ? variable_get('ofd_ferma_tax_default', '') : $vat,
  );
  $items = array(
    0 => (object) $item,
  );
  return array('receipt' => ofd_ferma_create_receipt($type, $invoice_id, $mail, $phone, $items));
}