<?php

/**
 * @file
 * Definition of ofd_ferma_handler_field_links.
 */

/**
 * A abstract handler which provides a collection of links.
 */
class ofd_ferma_handler_field_links extends views_handler_field {
  public function query() {
  }

  public function option_definition() {
    $options = parent::option_definition();
    $options['rid'] = array('default' => 'rid');
    return $options;
  }

  public function options_form(&$form, &$form_state) {
    parent::options_form($form, $form_state);
    $all_fields = $this->view->display_handler->get_field_labels();
    $field_options = array_slice($all_fields, 0, array_search($this->options['id'], array_keys($all_fields)));
    $form['rid'] = array(
      '#type' => 'radios',
      '#title' => t('Select receipt ID (rid) field'),
      '#options' => $field_options,
      '#default_value' => $this->options['rid'],
      '#required' => TRUE,
    );
  }

  public function render($values) {
    $links = array();
    $field_rid = $this->options['rid'];
    if (isset($values->{$field_rid})) {
      $rid = $values->{$field_rid};
      $load = entity_load('ofd_ferma_receipt', array($rid));
      $entity = array_shift($load);
      if (!empty($entity->device) && !empty($entity->tin)) {
        $data = $entity->device;
        $link = array(
          'href' => OFD_FERMA_RENDER_URL . "$entity->tin/$data->RNM/$data->FN/$data->FDN/$data->FPD",
          'title' => t('View'),
        );
        if (module_exists('colorbox') && variable_get('colorbox_load', 0)) {
          $link['attributes']['class'] = array('colorbox-load');
        }
        else {
          $link['attributes']['target'] = '_blank';
        }
        $links[] = $link;
      }
    }

    if (!empty($links)) {
      $vars = array(
        'links' => $links,
        'attributes' => array(
          'class' => array(
            'links',
            'inline',
          ),
        ),
      );
      return theme('links__ctools_dropbutton', $vars);
    }
    else {
      return '';
    }
  }
}